<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<dom-module id="fuerza-clave">
    <template>
        <style>
            :host {
                display: block
            }
        </style>
        Clave:
        <input type="text" value="{{clave::input}}">
        <paper-input label="Clave" value="{{clave}}"></paper-input>
        <div>
            Fuerza: {{fuerza}}/10
        </div>
    </template>
    <script>
        class FuerzaClave extends Polymer.Element {
            static get is() {
                return 'fuerza-clave';
            }
            static get properties() {
                return {
                    clave: {
                        type: String,
                        value: ''
                    },
                    fuerza: {
                        type: Number,
                        value: 0,
                        computed: 'calcularFuerzaClave(clave)'
                    }
                };
            }
            constructor() {
                super();
            }
            calcularFuerzaClave(clave) {
                if (clave.length > 10) {
                    return 10;
                }
                return clave.length;
            }
        }
        window.customElements.define(FuerzaClave.is, FuerzaClave);
    </script>
</dom-module>